package com.bonus.canteen.core.menu.dto;

import cn.hutool.core.util.ObjectUtil;
import com.bonus.canteen.core.common.page.PageDTO;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class MenuDishesImportFailPageDTO extends PageDTO implements Serializable {
   @ApiModelProperty("记录类型(1-菜品导入，2-原料导入)")
   private Integer failType;

   public Integer getFailType() {
      return ObjectUtil.isNull(this.failType) ? 1 : this.failType;
   }

   public void setFailType(final Integer failType) {
      this.failType = failType;
   }
}
